Bug 740933 - Role detail window should autoclose when role is deleted
Summary: Role detail window should autoclose when role is deleted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-23 20:02 UTC by Corey Welton
Modified: 2019-09-26 13:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:58:08 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-23 20:02:42 UTC
Description of problem:
When user deletes a role, the role details view should close automatically, disallowing user to attempt to make changes to the nonexistent role.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a new role
2.  Select role from roles view
3.  Edit Role Details
4.  Click the "Remove Role" button and confirm
5.  Not role is removed from left pane; attempt to change name or description in still-existent role details window  
Actual results:

Error-
 wrong number of arguments (0 for 1)

Expected results:
Users shouldn't be allowed to do this in the first place. Window should close if role is deleted.

Additional info:

Comment 1 Brad Buckingham 2011-09-29 00:12:22 UTC
git commit: a70e5cc9e2b44cbdbc106689e01ec1046b5a87fd

Comment 2 Corey Welton 2011-10-07 18:24:09 UTC
QA Verified.

Comment 5 Mike McCune 2013-08-16 18:05:50 UTC
getting rid of 6.0.0 version since that doesn't exist


Note You need to log in before you can comment on or make changes to this bug.